summarylogtreecommitdiffstats
path: root/gcc-fortran.install
diff options
context:
space:
mode:
authorFantix King2012-09-22 17:43:17 +0800
committerFantix King2015-11-08 20:36:27 +0800
commitd075d963a7f9eb1d10d8a76dbeaae94a376cadd1 (patch)
treeb7cb65eda42d6cc08ef0690cf9493d6494c55c08 /gcc-fortran.install
downloadaur-d075d963a7f9eb1d10d8a76dbeaae94a376cadd1.tar.gz
4.7.1-4.1
Diffstat (limited to 'gcc-fortran.install')
-rw-r--r--gcc-fortran.install16
1 files changed, 16 insertions, 0 deletions
diff --git a/gcc-fortran.install b/gcc-fortran.install
new file mode 100644
index 00000000000..b15d89a9766
--- /dev/null
+++ b/gcc-fortran.install
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+file="gfortran.info"
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}